Package org.etsi.uri._01903.v1_3

# Class CertIDType

java.lang.Object
org.etsi.uri._01903.v1_3.CertIDType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class CertIDType extends Object implements Serializable

Java class for CertIDType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertIDType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CertDigest" type="{http://uri.etsi.org/01903/v1.3.2#}DigestAlgAndValueType"/>
             <element name="IssuerSerial" type="{http://www.w3.org/2000/09/xmldsig#}X509IssuerSerialType"/>
           </sequence>
           <attribute name="URI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertIDType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DigestAlgAndValueType`
  `getCertDigest()`
  Gets the value of the certDigest property.
  `X509IssuerSerialType`
  `getIssuerSerial()`
  Gets the value of the issuerSerial property.
  `String`
  `getURI()`
  Gets the value of the uri property.
  `void`
  `setCertDigest(DigestAlgAndValueType value)`
  Sets the value of the certDigest property.
  `void`
  `setIssuerSerial(X509IssuerSerialType value)`
  Sets the value of the issuerSerial property.
  `void`
  `setURI(String value)`
  Sets the value of the uri property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertIDType

    public CertIDType()

- ## Method Details

  - ### getCertDigest

    public DigestAlgAndValueType getCertDigest()
    Gets the value of the certDigest property.
    Returns:
      possible object is `DigestAlgAndValueType`

  - ### setCertDigest

    public void setCertDigest(DigestAlgAndValueType value)
    Sets the value of the certDigest property.
    Parameters:
      `value` - allowed object is `DigestAlgAndValueType`

  - ### getIssuerSerial

    public X509IssuerSerialType getIssuerSerial()
    Gets the value of the issuerSerial property.
    Returns:
      possible object is `X509IssuerSerialType`

  - ### setIssuerSerial

    public void setIssuerSerial(X509IssuerSerialType value)
    Sets the value of the issuerSerial property.
    Parameters:
      `value` - allowed object is `X509IssuerSerialType`

  - ### getURI

    public String getURI()
    Gets the value of the uri property.
    Returns:
      possible object is `String`

  - ### setURI

    public void setURI(String value)
    Sets the value of the uri property.
    Parameters:
      `value` - allowed object is `String`